> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List virtual GPU flavors



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/gpu/virtual/{project_id}/{region_id}/flavors
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/gpu/virtual/{project_id}/{region_id}/flavors:
    get:
      tags:
        - GPU Virtual
      summary: List virtual GPU flavors
      operationId: VirtualGpuFlavorListViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: query
          name: hide_disabled
          required: false
          description: Set to `true` to remove the disabled flavors from the response.
          schema:
            default: false
            description: Set to `true` to remove the disabled flavors from the response.
            example: true
            examples:
              - true
            title: Hide Disabled
            type: boolean
        - in: query
          name: include_prices
          required: false
          description: Set to `true` if the response should include flavor prices.
          schema:
            default: false
            description: Set to `true` if the response should include flavor prices.
            example: true
            examples:
              - true
            title: Include Prices
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGpuVirtualFlavorSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            gpu_virtual_flavor_list =
            client.cloud.gpu_virtual.clusters.flavors.list(
                project_id=1,
                region_id=7,
            )

            print(gpu_virtual_flavor_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tgpuVirtualFlavorList, err := client.Cloud.GPUVirtual.Clusters.Flavors.List(context.TODO(), cloud.GPUVirtualClusterFlavorListParams{\n\t\tProjectID: gcore.Int(1),\n\t\tRegionID:  gcore.Int(7),\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", gpuVirtualFlavorList.Count)\n}\n"
components:
  schemas:
    ListGpuVirtualFlavorSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/GpuVirtualFlavorSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: ListGpuVirtualFlavorSerializer
      type: object
    GpuVirtualFlavorSerializer:
      anyOf:
        - $ref: '#/components/schemas/GpuVirtualFlavorSerializerWithoutPrice'
        - $ref: '#/components/schemas/GpuVirtualFlavorSerializerWithPrices'
      title: GpuVirtualFlavorSerializer
    GpuVirtualFlavorSerializerWithoutPrice:
      properties:
        architecture:
          anyOf:
            - type: string
            - type: 'null'
          description: Flavor architecture type
          examples:
            - x86_64
          title: Architecture
        capacity:
          description: Number of available instances of given flavor
          example: 1
          examples:
            - 1
          title: Capacity
          type: integer
        disabled:
          description: >-
            If the flavor is disabled, new resources cannot be created using
            this flavor.
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        hardware_description:
          $ref: '#/components/schemas/GpuVirtualFlavorHardwareDescriptionSerializer'
          description: Additional virtual hardware description
        hardware_properties:
          $ref: '#/components/schemas/GpuFlavorHardwareProperties'
          description: Additional virtual hardware properties
        name:
          description: Flavor name
          example: g1-gpu-1-2-1
          examples:
            - g1-gpu-1-2-1
          title: Name
          type: string
        supported_features:
          $ref: '#/components/schemas/FlavorFeaturesSerializer'
          description: Set of enabled features based on the flavor's type and configuration
      required:
        - name
        - architecture
        - disabled
        - capacity
        - hardware_description
        - hardware_properties
        - supported_features
      title: Virtual GPU flavors chema without price
      type: object
    GpuVirtualFlavorSerializerWithPrices:
      properties:
        architecture:
          anyOf:
            - type: string
            - type: 'null'
          description: Flavor architecture type
          examples:
            - x86_64
          title: Architecture
        capacity:
          description: Number of available instances of given flavor
          example: 1
          examples:
            - 1
          title: Capacity
          type: integer
        disabled:
          description: >-
            If the flavor is disabled, new resources cannot be created using
            this flavor.
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        hardware_description:
          $ref: '#/components/schemas/GpuVirtualFlavorHardwareDescriptionSerializer'
          description: Additional virtual hardware description
        hardware_properties:
          $ref: '#/components/schemas/GpuFlavorHardwareProperties'
          description: Additional virtual hardware properties
        name:
          description: Flavor name
          example: g1-gpu-1-2-1
          examples:
            - g1-gpu-1-2-1
          title: Name
          type: string
        price:
          $ref: '#/components/schemas/FlavorPrice'
          description: Flavor price.
        supported_features:
          $ref: '#/components/schemas/FlavorFeaturesSerializer'
          description: Set of enabled features based on the flavor's type and configuration
      required:
        - name
        - architecture
        - disabled
        - capacity
        - hardware_description
        - hardware_properties
        - supported_features
        - price
      title: Virtual GPU flavors chema with price
      type: object
    GpuVirtualFlavorHardwareDescriptionSerializer:
      properties:
        gpu:
          anyOf:
            - type: string
            - type: 'null'
          description: Human-readable GPU description
          examples:
            - 1x NVIDIA 11GB
          title: Gpu
        local_storage:
          anyOf:
            - type: integer
            - type: 'null'
          description: Local storage capacity in GiB
          examples:
            - 3000
          title: Local Storage
        ram:
          anyOf:
            - type: integer
            - type: 'null'
          description: RAM size in MiB
          examples:
            - 2048
          title: Ram
        vcpus:
          anyOf:
            - type: integer
            - type: 'null'
          description: Virtual CPU count
          examples:
            - 1
          title: Vcpus
      required:
        - vcpus
        - ram
        - gpu
        - local_storage
      title: GpuVirtualFlavorHardwareDescriptionSerializer
      type: object
    GpuFlavorHardwareProperties:
      properties:
        gpu_count:
          anyOf:
            - type: integer
            - type: 'null'
          description: The total count of available GPUs.
          title: Gpu Count
        gpu_manufacturer:
          anyOf:
            - type: string
            - type: 'null'
          description: The manufacturer of the graphics processing GPU
          title: Gpu Manufacturer
        gpu_model:
          anyOf:
            - type: string
            - type: 'null'
          description: GPU model
          title: Gpu Model
        nic_eth:
          anyOf:
            - type: string
            - type: 'null'
          description: The configuration of the Ethernet ports
          examples:
            - 2x100;2x25
          title: Nic Eth
        nic_ib:
          anyOf:
            - type: string
            - type: 'null'
          description: The configuration of the InfiniBand ports
          examples:
            - 8x400
          title: Nic Ib
      required:
        - gpu_model
        - gpu_manufacturer
        - gpu_count
        - nic_eth
        - nic_ib
      title: GpuFlavorHardwareProperties
      type: object
    FlavorFeaturesSerializer:
      properties:
        security_groups:
          title: Security Groups
          type: boolean
      required:
        - security_groups
      title: FlavorFeaturesSerializer
      type: object
    FlavorPrice:
      properties:
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Currency code. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - USD
          title: Currency Code
        price_per_hour:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: >-
            Price per hour. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - 1
          title: Price Per Hour
        price_per_month:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: >-
            Price per month. Shown if the `include_prices` query parameter if
            set to true
          examples:
            - 720
          title: Price Per Month
        price_status:
          anyOf:
            - $ref: '#/components/schemas/PriceDisplayStatus'
            - type: 'null'
          description: Price status for the UI
          examples:
            - show
      required:
        - currency_code
        - price_per_hour
        - price_per_month
        - price_status
      title: Flavor price schema
      type: object
    PriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: PriceDisplayStatus
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````